<?xml version="1.0" encoding="utf-8"?>
<allowlist>
    <intent action="android.intent.action.BATTERY_CHANGED">
        <package name="com.samsung.android.lool"/>
        <package name="com.samsung.android.sm_cn"/>
        <package name="com.sec.android.sdhms" />
        <package name="com.sec.kidsplat.camera"/>
        <package name="com.sec.kidsplat.artheater"/>
        <package name="com.sec.factory"/>
        <package name="com.samsung.utagent"/>
        <package name="com.samsung.sdm"/>
        <package name="com.samsung.android.FactoryTestLauncher"/>
        <package name="com.samsung.android.game.gametools"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.samsung.desktopsystemui"/>
        <package name="com.samsung.android.voc"/>
        <package name="com.sec.android.app.camera"/>
        <package name="com.samsung.android.scloud"/>
        <package name="com.sec.android.cover.ledcover"/>
        <package name="com.sec.android.emergencymode.service"/>
        <package name="com.sec.android.emergencylauncher"/>
        <package name="com.samsung.android.smartmirroring"/>
        <package name="com.samsung.android.homemode"/>
        <package name="com.samsung.android.mateagent"/>
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.accessory.goproviders"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.modenplugin"/>
        <package name="com.samsung.android.neatplugin"/>
        <package name="com.samsung.android.spay"/>
        <package name="com.samsung.android.spaymini"/>
        <package name="com.samsung.accessory.beansmgr"/>
        <package name="com.samsung.android.video" />
        <package name="com.samsung.android.videolist"/>
        <package name="com.sec.android.easyMover"/>
        <package name="com.sec.android.app.music"/>
        <package name="com.samsung.android.app.atracker"/>
        <package name="com.samsung.android.hmt.vrsvc"/>
        <package name="com.samsung.android.service.aircommand"/>
        <package name="com.samsung.android.app.mobiledoctor.ve"/>
        <package name="com.samsung.android.app.mobiledoctor.oqc"/>
    <package name="com.samsung.android.fmm"/>
        <package name="com.samsung.android.knox.dai"/>
        <package name="com.samsung.android.aircommandmanager"/>
        <package name="com.samsung.android.mtp"/>
    </intent>

    <intent action="android.intent.action.BOOT_COMPLETED">
        <package name="com.samsung.sem.stresstest"/>
        <package name="com.sec.android.app.shealth"/>
        <package name="com.samsung.klmsagent"/>
        <package name="com.samsung.android.allshare.service.fileshare"/>
        <package name="com.samsung.android.app.contacts"/>
        <package name="com.samsung.android.app.spage"/>
        <package name="com.samsung.android.app.kfa"/>
        <package name="com.samsung.android.dialer"/>
        <package name="com.samsung.android.messaging"/>
        <package name="com.samsung.android.providers.contacts"/>
        <package name="com.sec.android.sdhms"/>
        <package name="com.samsung.android.mtp"/>
        <package name="com.sec.spp.push"/>
        <package name="com.samsung.android.networkdiagnostic"/>
        <package name="com.samsung.sec.android.teegris.tui_service"/>
        <package name="com.samsung.android.spay"/>
        <package name="com.samsung.android.samsungpay.gear"/>
        <package name="com.samsung.android.rajaampat"/>
        <package name="com.samsung.android.spaymini"/>
        <package name="com.samsung.android.brdigitalaccount"/>
        <package name="com.samsung.android.brdigitalaccount.swipe"/>
        <package name="com.samsung.android.brdigitalaccount.swipelite"/>
        <package name="com.samsung.knox.securefolder"/>
        <package name="com.samsung.android.da.daagent"/>
        <package name="com.samsung.android.kgclient"/>
        <package name="com.sec.android.app.myfiles"/>
        <package name="com.samsung.android.app.smartcapture"/>
        <package name="com.samsung.android.service.aircommand"/>
        <package name="com.sec.enterprise.knox.cloudmdm.smdms"/>
        <package name="com.sec.android.soagent"/>
        <package name="com.samsung.android.sm_cn"/>
        <package name="com.samsung.android.rubin.app"/>
        <package name="com.sec.factory"/>
        <package name="com.samsung.android.scloud"/>
        <package name="com.samsung.android.sm.policy"/>
        <package name="com.samsung.utagent"/>
        <package name="com.samsung.android.aircommandmanager"/>
        <package name="com.samsung.android.FactoryTestLauncher"/>
        <package name="com.sec.phone"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.sec.android.app.tinym"/>
        <package name="com.sec.android.UsimRegistrationKOR"/>
        <package name="com.samsung.android.beaconmanager"/>
        <package name="com.samsung.android.service.svcagent"/>
        <package name="com.samsung.android.provider.filterprovider"/>
        <package name="com.sec.android.app.desktoplauncher"/>
        <package name="com.samsung.android.app.reminder"/>
        <package name="com.samsung.android.bluelightfilter"/>
        <package name="com.samsung.android.voc"/>
        <package name="com.sec.knox.kccagent"/>
        <package name="com.samsung.android.knox.efota"/>
        <package name="com.samsung.android.knox.core.efota"/>       
        <package name="com.samsung.android.knox.kpu"/>
        <package name="com.samsung.android.knox.kpu.beta"/>
        <package name="com.samsung.android.knox.kpu.demo"/>
        <package name="com.samsung.android.knox.kpu.poc"/>
        <package name="com.samsung.android.stickercenter"/>
        <package name="com.samsung.sdm"/>
        <package name="com.samsung.unifiedsettingservice"/>
        <package name="com.samsung.android.fast"/>
        <package name="com.sec.omadmspr"/>
        <package name="com.samsung.sprint.chameleon"/>
        <package name="com.samsung.accessibility"/>
        <package name="com.sec.location.nsflp2"/>
        <package name="com.samsung.android.mdx.kit" />
        <package name="com.sec.android.app.factorykeystring"/>
        <package name="com.sec.android.emergencymode.service"/>
        <package name="com.samsung.android.deviceidservice"/>
        <package name="com.samsung.android.scs"/>
        <package name="com.samsung.android.SettingsReceiver"/>
        <package name="com.samsung.galaxybetaservice"/>
        <package name="com.sec.android.app.clockpackage"/>
        <package name="com.sec.android.app.bluetoothtest"/>
        <package name="com.samsung.accessory"/>
        <package name="com.sec.hiddenmenu"/>
        <package name="com.samsung.chn.apps.devicemanagement"/>
        <package name="com.samsung.android.globalroaming"/>
        <package name="com.samsung.android.app.routines"/>
        <package name="com.samsung.android.mdecservice"/>
        <package name="com.samsung.android.waterplugin"/>
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.modenplugin"/>
        <package name="com.samsung.android.neatplugin"/>
        <package name="com.samsung.android.gear1plugin"/>
        <package name="com.samsung.android.gear2plugin"/>
        <package name="com.samsung.android.hostmanager"/>
        <package name="com.samsung.accessory.saproviders"/>
        <package name="com.samsung.accessory.goproviders"/>
        <package name="com.sec.samsungsoundphone"/>
        <package name="com.samsung.android.wms"/>
        <package name="com.samsung.android.providers.media"/>
        <package name="com.sec.android.app.setupwizard"/>
        <package name="com.sec.android.app.SecSetupWizard"/>
        <package name="com.samsung.android.service.tagservice"/>
        <package name="com.sec.android.easyMover"/>
        <package name="com.samsung.android.pushservice"/>
        <package name="com.samsung.ssu"/>
        <package name="com.sec.android.app.firewall"/>
        <package name="com.samsung.android.mateagent"/>
        <package name="com.samsung.rtlassistant"/>
        <package name="com.sec.android.app.latin.notification"/>
        <package name="com.samsung.android.app.atracker"/>
        <package name="com.samsung.android.app.scharm"/>
        <package name="com.samsung.android.app.sbottle"/>
        <package name="com.sec.android.daemonapp"/>
        <package name="com.samsung.android.appseparation"/>
        <package name="com.samsung.android.app.sreminder"/>
        <package name="com.samsung.rms.retailagent.global"/>
        <package name="com.samsung.android.hmt.vrsvc"/>
        <package name="com.samsung.android.app.vrsetupwizard"/>
        <package name="com.samsung.android.app.xr.setupwizard"/>
        <package name="com.sec.android.app.samsungapps"/>
        <package name="com.samsung.android.game.gos"/>
        <package name="com.samsung.logwriter"/>
        <package name="com.samsung.android.bixby.wakeup"/>
        <package name="com.samsung.android.themestore"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.sec.imsservice"/>
        <package name="com.sec.android.onstartnotification"/>
        <package name="com.samsung.android.game.gamehome"/>
        <package name="com.samsung.ssd.wolfserver"/>
        <package name="com.sec.android.asc.test"/>
        <package name="com.sec.sqe.aes.tiny"/>
        <package name="com.samsung.android.app.ledbackcover"/>
        <package name="com.samsung.android.app.ledcoverdream"/>
        <package name="com.samsung.android.oneconnect"/>
        <package name="com.samsung.android.app.aodservice"/>
        <package name="com.samsung.android.visualars"/>
        <package name="com.samsung.android.mdm"/>        
        <package name="com.sec.android.app.launcher"/>
        <package name="com.samsung.android.knox.dai"/>
        <package name="com.samsung.japan.easysettingmanager"/>
        <package name="com.samsung.android.app.dtv.sbtvd"/>
        <package name="com.samsung.android.service.stplatform"/>
        <package name="com.samsung.sec.android.application.csc"/>
        <package name="com.samsung.android.bixby.agent"/>
        <package name="com.samsung.hongbaoassistant"/>
        <package name="com.samsung.android.dynamiclock"/>
		<package name="com.samsung.android.calendar"/>
		<package name="com.android.providers.calendar"/>
    </intent>

    <intent action="android.intent.action.PACKAGE_ADDED">
        <package name="com.samsung.android.smartsuggestions"/>
        <package name="com.samsung.android.localeoverlaymanager"/>
        <package name="com.sec.android.app.shealth"/>
        <package name="com.sec.spp.push"/>
        <package name="com.samsung.SMT"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.samsung.desktopsystemui"/>
        <package name="com.samsung.android.beaconmanager"/>
        <package name="com.samsung.android.scloud"/>
        <package name="com.sec.knox.kccagent"/>
        <package name="com.samsung.android.knox.kpu"/>
        <package name="com.samsung.android.knox.kpu.beta"/>
        <package name="com.samsung.android.knox.kpu.demo"/>
        <package name="com.samsung.android.knox.kpu.poc"/>
        <package name="com.sec.android.app.camera"/>
        <package name="com.samsung.sprint.chameleon"/>
        <package name="com.samsung.accessibility"/>
        <package name="com.sec.location.nsflp2"/>
        <package name="com.sec.android.cover.ledcover"/>
        <package name="com.samsung.android.scs"/>
        <package name="com.sec.android.app.sbrowser"/>
        <package name="com.sec.android.app.sbrowser.beta"/>
        <package name="com.samsung.android.mobileservice"/>
        <package name="com.samsung.android.homemode"/>
        <package name="com.samsung.accessory"/>
        <package name="com.samsung.android.waterplugin"/>
        <package name="com.samsung.accessory.berrymgr"/>
        <package name="com.samsung.android.gear1plugin"/>
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.android.hostmanager"/>
        <package name="com.samsung.android.gearfitinstaller"/>
        <package name="com.samsung.android.spay"/>  
        <package name="com.samsung.android.app.spage"/>     
        <package name="com.samsung.android.wms"/>
        <package name="com.samsung.accessory.atticmgr"/>
        <package name="com.samsung.accessory.neobeanmgr"/>
        <package name="com.samsung.accessory.popcornmgr"/>
        <package name="com.samsung.accessory.fridaymgr"/>
        <package name="com.samsung.accessory.beansmgr"/>
        <package name="com.samsung.accessory.triathlonmgr"/>
        <package name="com.samsung.android.neckletplugin"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.neatplugin"/>
        <package name="com.samsung.android.modenplugin"/>
        <package name="com.samsung.android.app.watchmanagerstub"/>
        <package name="com.samsung.android.app.galaxyfinder"/>
        <package name="com.sec.android.kiosk"/>
        <package name="com.samsung.android.service.tagservice"/>
        <package name="com.samsung.android.bixby.service"/>
        <package name="com.sec.android.sdhms"/>
        <package name="com.samsung.android.pushservice"/>
        <package name="com.samsung.android.sm_cn"/>
        <package name="com.sec.android.gallery3d"/>
        <package name="com.samsung.android.sm.devicesecurity"/>
        <package name="com.samsung.android.sm.devicesecurity.tcm"/>
        <package name="com.samsung.android.app.contacts"/>      
        <package name="com.samsung.android.dialer"/>
        <package name="com.samsung.android.app.atracker"/>
        <package name="com.samsung.android.app.scharm"/>
        <package name="com.sec.samsungsoundphone"/>
        <package name="com.samsung.rms.retailagent.global"/>
        <package name="com.samsung.android.hmt.vrsvc"/>
        <package name="com.samsung.android.app.vrsetupwizard"/>
        <package name="com.samsung.android.app.xr.setupwizard"/>
        <package name="com.samsung.android.service.aircommand"/>
        <package name="com.samsung.android.honeyboard"/>
        <package name="com.samsung.android.themestore"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.sec.android.app.launcher"/>
        <package name="com.samsung.android.game.gamehome"/>
        <package name="com.samsung.android.oneconnect"/>
        <package name="com.sec.android.app.SecSetupWizard"/>
        <package name="com.sec.android.app.setupwizard"/>
        <package name="com.samsung.android.email.provider"/>
        <package name="com.samsung.android.bixby.agent"/>
        <package name="com.samsung.hongbaoassistant"/>
        <package name="com.samsung.preloadapp"/>
        <package name="com.samsung.android.dynamiclock"/>
        <package name="com.samsung.systemui.notilus"/>
    </intent>

    <intent action="android.intent.action.PACKAGE_REMOVED">
        <package name="com.samsung.android.lool"/>
        <package name="com.sec.android.app.shealth"/>
        <package name="com.samsung.android.spayfw"/>
        <package name="com.samsung.SMT"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.samsung.android.game.gametools"/>
        <package name="com.samsung.desktopsystemui"/>
        <package name="com.samsung.android.voc"/>
        <package name="com.samsung.android.beaconmanager"/>
        <package name="com.samsung.android.scloud"/>
        <package name="com.sec.knox.kccagent"/>
        <package name="com.sec.android.app.camera"/>
        <package name="com.samsung.accessibility"/>
        <package name="com.sec.location.nsflp2"/>
        <package name="com.sec.android.cover.ledcover"/>
        <package name="com.samsung.android.scs"/>
        <package name="com.sec.android.app.sbrowser"/>
        <package name="com.sec.android.app.sbrowser.beta"/>
        <package name="com.samsung.android.mobileservice"/>
        <package name="com.samsung.android.homemode"/>
        <package name="com.samsung.accessory"/>
        <package name="com.samsung.android.deviceidservice"/>
        <package name="com.samsung.android.waterplugin"/>
        <package name="com.samsung.accessory.berrymgr"/>        
        <package name="com.samsung.android.gear1plugin"/>
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.android.gear2plugin"/>
        <package name="com.samsung.android.hostmanager"/>
        <package name="com.samsung.android.gearfitinstaller"/>
        <package name="com.samsung.accessory.atticmgr"/>
        <package name="com.samsung.accessory.neobeanmgr"/>
        <package name="com.samsung.accessory.popcornmgr"/>
        <package name="com.samsung.accessory.fridaymgr"/>
        <package name="com.samsung.accessory.beansmgr"/>
        <package name="com.samsung.accessory.triathlonmgr"/>
        <package name="com.samsung.android.neckletplugin"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.neatplugin"/>
        <package name="com.samsung.android.modenplugin"/>
        <package name="com.samsung.android.app.galaxyfinder"/>
        <package name="com.sec.android.kiosk"/>
        <package name="com.samsung.android.service.tagservice"/>
        <package name="com.samsung.android.bixby.service"/>
        <package name="com.samsung.android.spay"/>      
        <package name="com.sec.android.sdhms"/>
        <package name="com.samsung.android.pushservice"/>
        <package name="com.samsung.android.sm_cn"/>
        <package name="com.sec.android.gallery3d"/>
        <package name="com.samsung.android.sm.devicesecurity"/>
        <package name="com.samsung.android.sm.devicesecurity.tcm"/>
        <package name="com.samsung.android.app.spage"/>
        <package name="com.samsung.android.mateagent"/>
        <package name="com.samsung.android.app.contacts"/>      
        <package name="com.samsung.android.dialer"/>
        <package name="com.samsung.android.app.scharm"/>
        <package name="com.sec.samsungsoundphone"/>
        <package name="com.samsung.rms.retailagent.global"/>
        <package name="com.samsung.android.hmt.vrsvc"/>
        <package name="com.samsung.android.app.vrsetupwizard"/>
        <package name="com.samsung.android.app.xr.setupwizard"/>
        <package name="com.samsung.android.service.aircommand"/>
        <package name="com.samsung.logwriter"/>
        <package name="com.samsung.android.honeyboard"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.sec.android.app.launcher"/>
        <package name="com.samsung.android.game.gamehome"/>
        <package name="com.samsung.android.app.ledcoverdream"/>
        <package name="com.samsung.android.app.ledbackcover"/>
        <package name="com.samsung.android.oneconnect"/>
        <package name="com.samsung.android.app.aodservice"/>
        <package name="com.samsung.android.mdm"/>
        <package name="com.samsung.android.email.provider"/>
        <package name="com.samsung.android.bixby.agent"/>
        <package name="com.samsung.hongbaoassistant"/>
        <package name="com.samsung.android.dynamiclock"/>
        <package name="com.samsung.systemui.notilus"/>
    </intent>

    <intent action="android.intent.action.PACKAGE_CHANGED">
        <package name="com.sec.android.app.shealth"/>
        <package name="com.samsung.SMT"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.samsung.android.game.gametools"/>
        <package name="com.samsung.desktopsystemui"/>
        <package name="com.samsung.android.scloud"/>
        <package name="com.samsung.sprint.chameleon"/>
        <package name="com.samsung.accessibility"/>
        <package name="com.sec.android.cover.ledcover"/>
        <package name="com.samsung.android.scs"/>
        <package name="com.samsung.accessory"/>
        <package name="com.samsung.accessory.berrymgr"/>        
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.accessory.goproviders"/>
        <package name="com.samsung.android.hostmanager"/>
        <package name="com.samsung.android.wms"/>
        <package name="com.samsung.accessory.atticmgr"/>
        <package name="com.samsung.accessory.neobeanmgr"/>
        <package name="com.samsung.accessory.popcornmgr"/>
        <package name="com.samsung.accessory.fridaymgr"/>
        <package name="com.samsung.accessory.beansmgr"/>
        <package name="com.samsung.accessory.triathlonmgr"/>
        <package name="com.samsung.android.neckletplugin"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.neatplugin"/>
        <package name="com.samsung.android.modenplugin"/>        
        <package name="com.samsung.android.app.galaxyfinder"/>
        <package name="com.sec.android.kiosk"/>
        <package name="com.samsung.android.bixby.service"/>
        <package name="com.sec.android.sdhms"/>
        <package name="com.sec.android.gallery3d"/>
        <package name="com.samsung.android.app.contacts"/>      
        <package name="com.samsung.android.dialer"/>
        <package name="com.sec.samsungsoundphone"/>
        <package name="com.samsung.android.service.aircommand"/>
        <package name="com.samsung.android.game.gos"/>
        <package name="com.samsung.android.honeyboard"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.sec.android.app.launcher"/>
        <package name="com.samsung.android.app.aodservice"/>
        <package name="com.samsung.systemui.notilus"/>
    </intent>

    <intent action="android.intent.action.PACKAGE_REPLACED">
        <package name="com.sec.android.app.shealth"/>
        <package name="com.samsung.android.game.gametools"/>
        <package name="com.sec.spp.push"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.sec.android.cover.ledcover"/>
        <package name="com.sec.android.app.sbrowser"/>
        <package name="com.sec.android.app.sbrowser.beta"/>
        <package name="com.samsung.android.waterplugin"/>
        <package name="com.samsung.accessory.berrymgr"/>        
        <package name="com.samsung.android.gearnplugin"/>
        <package name="com.samsung.android.gearrplugin"/>
        <package name="com.samsung.android.gearpplugin"/>
        <package name="com.samsung.android.geargplugin"/>
        <package name="com.samsung.android.gearoplugin"/>
        <package name="com.samsung.android.hostmanager"/>
        <package name="com.samsung.accessory.atticmgr"/>
        <package name="com.samsung.accessory.neobeanmgr"/>
        <package name="com.samsung.accessory.popcornmgr"/>
        <package name="com.samsung.accessory.fridaymgr"/>
        <package name="com.samsung.accessory.beansmgr"/>
        <package name="com.samsung.accessory.triathlonmgr"/>
        <package name="com.samsung.android.neckletplugin"/>
        <package name="com.samsung.android.gearfit2plugin"/>
        <package name="com.samsung.android.app.watchmanagerstub"/>
        <package name="com.samsung.android.bixby.service"/>
        <package name="com.samsung.desktopsystemui"/>
        <package name="com.samsung.rms.retailagent.global"/>
        <package name="com.samsung.logwriter"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.samsung.android.game.gamehome"/>
        <package name="com.sec.imsservice"/>
        <package name="com.samsung.android.bixby.agent"/>
		<package name="com.samsung.android.calendar"/>
        <package name="com.samsung.android.qstuner"/>
    </intent>

    <intent action="android.intent.action.PACKAGE_FULLY_REMOVED">
        <package name="com.samsung.android.smartsuggestions"/>
        <package name="com.samsung.klmsagent"/>
        <package name="com.sec.spp.push"/>
        <package name="com.sec.enterprise.knox.cloudmdm.smdms"/>
        <package name="com.sec.jm.thehelper"/>
        <package name="com.samsung.android.knox.efota.plugin"/>
        <package name="com.samsung.android.mdecservice"/>
        <package name="com.samsung.android.app.watchmanagerstub"/>
        <package name="com.samsung.android.themestore"/>
        <package name="com.samsung.android.permissioncontroller"/>
        <package name="com.sec.android.app.myfiles"/>
        <package name="com.samsung.android.bixby.agent"/>
        <package name="com.samsung.android.dynamiclock"/>
        <package name="com.samsung.systemui.lockstar"/>
        <package name="com.samsung.systemui.navillera"/>
        <package name="com.samsung.android.app.homestar"/>		
    </intent>

    <intent action="android.net.conn.CONNECTIVITY_CHANGE">
        <package name="com.samsung.android.voc"/>
        <package name="com.sec.android.app.shealth"/>
        <package name="com.samsung.sdm"/>
        <package name="com.samsung.android.oneconnect"/>
        <package name="com.samsung.vvm"/>
    </intent>

    <allowed-packages>
        <!-- google oem samsung digital wellbeing -->
        <package name="com.samsung.android.forest"/>
    </allowed-packages>

    <restricted-packages>
        <package name="com.samsung.*"/>
        <package name="com.sec.*"/>
    </restricted-packages>

    <restricted-intents>
        <intent action="android.intent.action.BATTERY_CHANGED"/>
        <intent action="android.intent.action.BOOT_COMPLETED"/>
        <intent action="android.intent.action.PACKAGE_ADDED"/>
        <intent action="android.intent.action.PACKAGE_CHANGED"/>
        <intent action="android.intent.action.PACKAGE_FULLY_REMOVED"/>
        <intent action="android.intent.action.PACKAGE_REMOVED"/>
        <intent action="android.intent.action.PACKAGE_REPLACED"/>
        <intent action="android.net.conn.CONNECTIVITY_CHANGE"/>
    </restricted-intents>
</allowlist>
